package solutions

import (
	"github.com/onyx-and-iris/aoc{{ .Scaffold.year }}/{{ .Project }}/internal/one"
	"github.com/onyx-and-iris/aoc{{ .Scaffold.year }}/{{ .Project }}/internal/two"
)

func Solve(buf []byte) (int, int, error) {
	answerOne, err := one.Solve(buf)
	if err != nil {
		return 0, 0, err
	}

	answerTwo, err := two.Solve(buf)
	if err != nil {
		return 0, 0, err
	}

	return answerOne, answerTwo, nil
}
